package cn.hnthyy.thmz.service.impl.his.mz;

import cn.hnthyy.thmz.entity.his.mz.JyZdItem;
import cn.hnthyy.thmz.mapper.his.mz.JyZdItemMapper;
import cn.hnthyy.thmz.service.his.mz.JyZdItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class JyZdItemServiceImpl implements JyZdItemService {
    @SuppressWarnings("all")
    @Autowired
    private JyZdItemMapper jyZdItemMapper;
    @Override
    public JyZdItem queryJyZdItemByCode(String code) {
        return jyZdItemMapper.selectJyZdItemByCode(code);
    }

    @Override
    public List<JyZdItem> queryJyZdItemByCodeList(List<String> codes) {
        return jyZdItemMapper.selectJyZdItemByCodeList(codes);
    }

    @Override
    public List<JyZdItem> queryCxTimesByCodeList(List<String> codes) {
        return jyZdItemMapper.selectCxTimesByCodeList(codes);
    }
}
